body {
    padding: 0;
    margin: 0;
    background: #000000;
}

#unity-container {
    position: fixed;
    width: 100%;
    height: 100%;
}

#unity-canvas {
    width: 100%;
    height: 100%;
    background: #000000;
}

#unity-loading-bar {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: none;
}

.progress-ring-container {
    position: relative;
    width: 200px;
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#unity-progress-text {
    position: absolute;
    color: #ffffff;
    font-family: sans-serif;
    font-size: 18px;
    font-weight: bold;
}

#unity-warning {
    position: absolute;
    left: 50%;
    top: 5%;
    transform: translate(-50%);
    background: white;
    padding: 10px;
    display: none;
}

#unity-splash-screen-backgorund {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #000000;
    opacity: 1;
    display: none;
}

#unity-splash-screen {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #000000;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    display: none;
    pointer-events: none;
    z-index: 100;
}

#unity-splash-screen img {
    max-width: 80%;
    max-height: 80%;
    object-fit: contain;
}